package lemons.enums.monomers;

import lemons.interfaces.IAminoAcidType;

public enum NonProteinogenicAminoAcids implements IAminoAcidType {
	
	AMINOBUTYRIC_ACID("CCC(NF)C(I)=O"),
	BETA_AMINOISOBUTYRIC_ACID("CC(C(I)=O)CNF"),
	AMINOISOBUTYRIC_ACID("CC(C(I)=O)(C)NF"),
	BETA_ALANINE("O=C(C(C)CNF)I"),
	BETA_HYDROXY_ASPARAGINE("O=C(C(C(O)C(N)=O)NF)I"),
	BETA_HYDROXY_ASPARTATE("O=C(C(C(O)C(O)=O)NF)I"),
	METHYL_ASPARTIC_ACID("O=C(C(C(C(O)=O)C)NF)I"),
	BETA_HYDROXYTYROSINE("OC(C1=CC=C(O)C=C1)C(NF)C(I)=O"),
	DIAMINOPROPIONATE("O=C(I)C(NF)CN"),
	_2_4_DIAMINO_BUTYRIC_ACID("O=C(C(CCN)NF)I"),
	DEHYDROAMINOBUTYRIC_ACID("C/C=C(C(I)=O)\\NF"),
	_3_5_DIHYDROXYPHENYLGLYCINE("O=C(C(C1=CC(O)=CC(O)=C1)NF)I"),
	METHYL_GLUTAMATE("IC(C(C(CC(O)=O)C)NF)=O"),
	_4_HYDROXY_PHENYLGLYCINE("OC(C=C1)=CC=C1C(C(I)=O)NF"),
	BETA_HYDROXY_LEUCINE("IC(C(C(O)C(C)C)NF)=O"),
	BETA_LYSINE("O=C(I)CC(NF)CCCN"),
	N5_HYDROXYORNITHINE("O=C(I)C(NF)CCCNO"),
	HYDROXY_ACETYL_ORNITHINE("O=C(I)C(NF)CCCN(C(C)=O)O"),
	BETA_PHENYLALANINE("IC(CC(NF)C1=CC=CC=C1)=O"),
	BETA_METHYL_PHENYLALANINE("IC(C(C(C)C1=CC=CC=C1)NF)=O"),
	BETA_HYDROXY_PHENYLALANINE("IC(C(C(O)C1=CC=CC=C1)NF)=O"),
	PIPECOLIC_ACID("O=C(I)C1N(F)CCCC1"),
	HYDROXYPIPECOLIC_ACID("O=C(C1N(CCCC1O)F)I"),
	PIPERAZIC_ACID("O=C(C1N(NCCC1)F)I"),
	METHYL_PROLINE("O=C(C1N(F)CC(C1)C)I" ),
	HYDROXYPROLINE("O=C(I)C1N(CC(O)C1)F"),
	HYDROXYGLUTAMINE("IC(C(NF)C(O)CC(N)=O)=O"),
	HOMOSERINE("OCCC(C(I)=O)NF"),
	
	// alpha keto/alpha hydroxy acids
	PYRUVATE("IC(C(C)OF)=O"),
	ALPHA_KETOISOVALERATE("IC(C(C(C)C)OF)=O"),
	ALPHA_KETOISOCAPROATE("IC(C(CC(C)C)OF)=O"),
	_3_METHYL_2_OXOPENTANOIC_ACID("IC(C(OF)C(CC)C)=O"),
	;
	
	private final String smiles;
	
	private NonProteinogenicAminoAcids(final String smiles) {
		this.smiles = smiles;
	}
	
	public String smiles() {
		return smiles;
	}
	
}
